<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
            require_once("./model/fpdf/fpdf.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

            $id = $_GET['id'];


            $tecnico2 = $ges->get_plantilla_liquidacion_especifico($id);
            $codigo_tecnico = $ges->get_codigo_tecnico2($tecnico2['id_usuario_interactua']);
			$tecnico = $ges2->get_trabajador($codigo_tecnico['codigo_usuario']);
            $productos = $ges->get_detalle_plantilla_liquidacion($id,$tecnico2['id_usuario_interactua']);
            $series = $ges->get_series2($tecnico2['id_usuario_interactua']);
			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/detalle_plantilla_liquidacion.phtml");
				
			}

			if(isset($_POST['LIQUIDAR']) && isset($_SESSION['id_usuario_almacen']) && isset($_SESSION['id_asignacion'])){

                if($_SESSION['id_perfil_almacen'] == 4){

                    $i = 0;
                    $z = 0;
                    
                    foreach ($_POST['sku'] as $val){
        
                        if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
                            $serie = '0';
                            $cantidad = intval($_POST['cantidad'][$i]);
                        }else{
                            $serie = $_POST['serie'][$i];
                            $cantidad = intval($_POST['cantidad'][$i]);
                        }

                        if($_POST['seleccion'][$i] == 1){

                            $resultado = $ges->set_reenvio_plantilla($_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$_POST['id_asignacion_plantilla_liquidacion'][$i],$id);
                            $z++;
                           
                        }else{

                            //$resultado = $ges->set_no_liquidadios(intval($_POST['devolver'][$i]),$_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$tecnico['codigo'],$tecnico['orden'],$_POST['id_asignacion_plantilla_liquidacion'][$i]);
                            $resultado = $ges->delete_asignacion_plantilla_liquidar($_POST['id_asignacion_plantilla_liquidacion'][$i]);
                        }
            
                        $i++;

                    }

                    if($z == 0){

                        $res = $ges->update_plantilla_liquidacion(0,$id);

                    }

                    echo'<script type="text/javascript">alert("SE REGISTRO CORRECTAMENTE");window.location.href="plantilla_liquidacion.php";</script>';

                }else{

                    $filenameD = date("YmdHis");

                    $pathname = './pdf_sin_stock/'.$filenameD.'.pdf';
                
                    Class PDF extends FPDF{

                        // Funcion encargado de realizar el encabezado
                        function Header()
                        {
                        require_once("./model/gestion_model.php");
                        require_once("./model/gestion_model2.php");
                        $ges = new gestion_model();
                        $ges2 = new gestion_model2();
                        $id = $_GET['id'];
                        $tecnico2 = $ges->get_plantilla_liquidacion_especifico($id);
                        $codigo_tecnico = $ges->get_codigo_tecnico2($tecnico2['id_usuario_interactua']);
                        $tecnico = $ges2->get_trabajador($codigo_tecnico['codigo_usuario']);
                        // Logo
                        $this->Image('./view/img/wow.png',10,10,30);
                        $this->SetFont('Arial','U',11);
                        // Move to the right
                        $this->Cell(30);
                        // Title
                        $this->Cell(160,10,utf8_decode('TECNICO SIN STOCK: '.$tecnico['NOMBRES']),1,0,'C');
                        // Line break
                        $this->Ln(20);
                        }
                        // Funcion pie de pagina
                        function Footer()
                        {
                        // Position at 1.5 cm from bottom
                        $this->SetY(-15);
                        // Arial italic 8
                        $this->SetFont('Arial','I',8);
                        // Page number
                        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
                        }
                    }  
                    
                    $pdf = new PDF();

                    $pdf->AddPage();

                    $pdf->AliasNbPages();
                    $pdf->SetFont('Arial','',8);
                    $pdf->SetFillColor(255,255,255);
                    $pdf->Ln();
                    $fecha = date("Y-m-d");
                    $i = 0;

                    $pdf->Cell(40,6,'SKU',1);
                    $pdf->Cell(110,6,'PRODUCTO',1);
                    $pdf->Cell(30,6,'CANTIDAD ACTUAL',1);
                    $pdf->Ln();
                    $pdf->SetFont('Arial','',6);
                    $w = array(40,110,30);

                    $i = 0;
                    $z = 0;
                    $y = 0;

                    foreach ($_POST['sku'] as $val){
        
                        if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
                            $serie = '0';
                            $cantidad = intval($_POST['cantidad'][$i]);
                        }else{
                            $serie = $_POST['serie'][$i];
                            $cantidad = intval($_POST['cantidad'][$i]);
                        }

                        if($_POST['seleccion'][$i] == 1){

                            $resultado_final = $ges->update_stock_tecnico_l3($_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$tecnico2['codigo'],$tecnico2['orden']);
                            $resultado = $ges->set_movimientos_almacen($_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$tecnico2['codigo'],$tecnico2['orden'],$_POST['id_asignacion_plantilla_liquidacion'][$i]);
                            $z++;

                            $stock_tecnico = $ges->get_stock_tecnico($_POST['tecnico'][$i],$_POST['sku'][$i]);

                            if($stock_tecnico['disponible'] <= $stock_tecnico['stock_minimo']){

                                

                                $pdf->Cell($w[0],5,$stock_tecnico['sku'],1);
                                $pdf->Cell($w[1],5,$stock_tecnico['nombre_producto'],1);
                                $pdf->Cell($w[2],5,$stock_tecnico['disponible'],1);
                                $pdf->Ln();

                                $y++;

                            }

                        }else{

                            //$resultado = $ges->set_no_liquidadios(intval($_POST['devolver'][$i]),$_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$tecnico['codigo'],$tecnico['orden'],$_POST['id_asignacion_plantilla_liquidacion'][$i]);

                        }
            
                        $i++;

                    }

                    $pdf->SetFont('Arial','',8);
                    $pdf->Cell(180,8,'Fecha: '.$fecha,0);
                    $pdf->Ln();
                    $pdf->Ln();

                    $pdf->Output($pathname,'F');

                    $persona = $ges->get_usuario('160885416');
                    $persona2 = $ges->get_usuario('141917099');

                    if($y != 0){

                        $correo = $ges->enviar_correo_stock_minimo($pathname,$persona['correo'],$persona2['correo'],$tecnico['NOMBRES']);

                    }

                    if($i == $z){

                        $res = $ges->update_plantilla_liquidacion(0,$id);

                    }else{

                        $res = $ges->update_plantilla_liquidacion(2,$id);

                    }

                    echo'<script type="text/javascript">alert("SE LIQUIDÓ CORRECTAMENTE");window.location.href="plantilla_liquidacion.php";</script>';
                    


                }

                
    
            }

?>